From 12ffde36261f57d5192469a79cd1e0f8d9401f84 Mon Sep 17 00:00:00 2001
From: Anachron <gith@cron.world>
Date: Fri, 19 Jul 2019 09:03:01 +0200
Subject: [PATCH] New package: gnunet-0.11.5

---
 srcpkgs/gnunet-devel             |  1 +
 srcpkgs/gnunet/INSTALL.msg       |  1 +
 srcpkgs/gnunet/files/gnunet.conf | 24 +++++++++++++++++++++
 srcpkgs/gnunet/files/gnunet/run  |  2 ++
 srcpkgs/gnunet/template          | 36 ++++++++++++++++++++++++++++++++
 5 files changed, 64 insertions(+)
 create mode 120000 srcpkgs/gnunet-devel
 create mode 100644 srcpkgs/gnunet/INSTALL.msg
 create mode 100644 srcpkgs/gnunet/files/gnunet.conf
 create mode 100644 srcpkgs/gnunet/files/gnunet/run
 create mode 100644 srcpkgs/gnunet/template

diff --git a/srcpkgs/gnunet-devel b/srcpkgs/gnunet-devel
new file mode 120000
index 00000000000..3d739abe774
--- /dev/null
+++ b/srcpkgs/gnunet-devel
@@ -0,0 +1 @@
+gnunet
\ No newline at end of file
diff --git a/srcpkgs/gnunet/INSTALL.msg b/srcpkgs/gnunet/INSTALL.msg
new file mode 100644
index 00000000000..3e20257a4fe
--- /dev/null
+++ b/srcpkgs/gnunet/INSTALL.msg
@@ -0,0 +1 @@
+Please modify your /etc/gnunet/gnunet.conf and start gnunet.
diff --git a/srcpkgs/gnunet/files/gnunet.conf b/srcpkgs/gnunet/files/gnunet.conf
new file mode 100644
index 00000000000..2664bc2a6e4
--- /dev/null
+++ b/srcpkgs/gnunet/files/gnunet.conf
@@ -0,0 +1,24 @@
+[PATHS]
+SERVICEHOME = /var/lib/gnunet
+DEFAULTCONFIG = /etc/gnunet/gnunet.conf
+
+[arm]
+SYSTEM_ONLY = YES
+USER_ONLY = NO
+
+[transport-tcp]
+PORT = 2086
+ADVERTISED_PORT = 2086
+
+[transport-udp]
+PORT = 2086
+ADVERTISED_PORT = 2086
+
+[nat]
+BEHIND_NAT = YES
+ENABLE_UPNP = NO
+USE_LOCALADDR = NO
+DISABLEV6 = YES
+
+[hostlist]
+OPTIONS = -b -e
diff --git a/srcpkgs/gnunet/files/gnunet/run b/srcpkgs/gnunet/files/gnunet/run
new file mode 100644
index 00000000000..4adb83a4d02
--- /dev/null
+++ b/srcpkgs/gnunet/files/gnunet/run
@@ -0,0 +1,2 @@
+#!/bin/sh
+/usr/lib/gnunet/libexec/gnunet-service-arm -c /etc/gnunet/gnunet.conf
diff --git a/srcpkgs/gnunet/template b/srcpkgs/gnunet/template
new file mode 100644
index 00000000000..fb3ef1340b7
--- /dev/null
+++ b/srcpkgs/gnunet/template
@@ -0,0 +1,36 @@
+# Template file for 'gnunet'
+pkgname=gnunet
+version=0.11.5
+revision=1
+wrksrc="${pkgname}-v${version}"
+build_style=gnu-configure
+conf_files="/etc/gnunet/gnunet.conf"
+hostmakedepends="autoconf automake gettext-devel libtool"
+makedepends="libgcrypt-devel libidn-devel
+ libltdl-devel libunistring-devel sqlite-devel zlib-devel"
+short_desc="Framework for secure peer-to-peer networking"
+maintainer="Anachron <gith@cron.world>"
+license="GPL-3.0-or-later"
+homepage="https://gnunet.org"
+distfiles="https://git.gnunet.org/gnunet.git/snapshot/${pkgname}-v${version}.tar.gz"
+checksum=ac99e7e5a167aa42e7734ad5c94a31be1f9fe98842a923c382c8a30b5320561a
+
+pre_configure() {
+	./bootstrap
+}
+
+post_install() {
+	vmkdir etc/gnunet
+	vcopy "${FILESDIR}/gnunet.conf" etc/gnunet/gnunet.conf
+	vsv gnunet
+}
+
+gnunet-devel_package() {
+	depends="${pkgname}>=${version}_${revision}"
+	short_desc+=" - development files"
+	pkg_install() {
+		vmove usr/include
+		vmove usr/lib/pkgconfig
+		vmove "usr/lib/*.so"
+	}
+}
